import { Component,ViewChild } from '@angular/core';
import { Platform,Nav,ToastController,Events,AlertController} from 'ionic-angular';
import { StatusBar, Splashscreen } from 'ionic-native';

import { LoginPage } from '../pages/login/login';
import { MainMenuPage } from '../pages/main-menu/main-menu';
import { OrdersPagePage } from '../pages/orders-page/orders-page';
import { OrderService } from '../providers/order-service';
import { Push } from 'ionic-native';
import {BarcodeScanPage} from '../pages/barcode-scan/barcode-scan';

@Component({
  templateUrl: 'app.html',  
  providers: [OrderService],
})
export class MyApp {
@ViewChild(Nav) nav: Nav;
rootPage:any = MainMenuPage;
Device:string = "";
pages: Array<{title: string, component: any, action: string}> = [];
constructor(platform: Platform,
   public orderService:OrderService,public toastController:ToastController,
      public events:Events,public alertCtrl:AlertController) {
    platform.ready().then(() => {
      // Okay, so the platform is ready and our plugins are available.
      // Here you can do any higher level native things you might need.
      StatusBar.styleDefault();
      Splashscreen.hide(); 
      this.UpdateMenu();

          this.events.subscribe("login:changed",
      () => {
          this.orderService.LoadUserData();
          this.UpdateMenu();
          });
      let push = Push.init({
              android: {
              senderID: '193700739707'
            },
           ios: {
               alert: 'true',
               badge: true,
               sound: 'false'
            },
           windows: {}
          });
      push.on('registration', (data) => {
        console.log("device token ->", data.registrationId);
        orderService.Device = data.registrationId;
        this.Device = data.registrationId;
        if (orderService.UserName.length>0)
        {
          orderService.Login(orderService.UserName,orderService.Password,false);
        }
        //TODO - send device token to server
      });
      push.on('notification', (data) => {
        console.log('message', data.message);
        //let self = this;
        //if user using app and push notification comes
        if (data.additionalData.foreground) {
          // if application open, show popup
          let confirmAlert = this.alertCtrl.create({
            title: data.title,
            message: data.message,
            buttons: [{
              text: 'Cancelar',
              role: 'cancel'
            }, {
              text: 'Ver',
              handler: () => {
                //TODO: Your logic here
                let pedido = data.additionalData["order"];
                if (pedido !== undefined)
                {
                  if (pedido !== "0")
                  {
                    this.nav.setRoot(OrdersPagePage);
//                      self.navCtrl.push(OrderDetailPage,{orderNumber:pedido,order:null});                                  
                  }
                  else
                    this.nav.setRoot(OrdersPagePage);
                }
                else
                    this.nav.setRoot(OrdersPagePage);
                /*console.log("AditionlalData")
                console.log(data.additionalData);
                console.log("All data")
                console.log(data);*/
                //self.nav.push(DetailsPage, {message: data.message});
              }
            }]
          });
          confirmAlert.present();
        } else {
          //if user NOT using app and push notification comes
          //TODO: Your logic on click of push notification directly
          //self.nav.push(DetailsPage, {message: data.message});
          this.rootPage = OrdersPagePage;
          this.nav.setRoot(OrdersPagePage);
          console.log("Push notification clicked");
        }
      });
      push.on('error', (e) => {
        console.log(e.message);
      });

    });

  }
  public UpdateMenu()
  {
    this.pages.length = 0;
    if (this.orderService.UserName.length == 0)
    {
      this.pages.push({ title: 'Inicio', component: MainMenuPage, action:""})  
      this.pages.push({ title: 'Entrada al sistema', component: LoginPage ,action: "Login"})
    }
    else
    {
      this.pages.push({ title: 'Inicio', component: MainMenuPage, action:""})      
      this.pages.push({ title: 'Mis Pedidos', component: OrdersPagePage,action:""})      
      this.pages.push({ title: 'Producto', component: BarcodeScanPage, action:""})      
      //this.pages.push({ title: 'Cambiar clave de acceso', component: null,action:""})      
      this.pages.push({ title: 'Salir del sistema', component: null,action:"Logout"})      
    }
  }
  openPage(page) {
    // Reset the content nav to have just this page
    // we wouldn't want the back button to show in this scenario
    if (page.action === "Logout")
      this.ExitClick(null);
    else
    {      
      this.nav.setRoot(page.component);
    }
  }
  public goToMainMenu(ev:Event)
  {
      this.nav.setRoot(MainMenuPage);
  }
  public ExitClick(ev:Event)
  {
      console.log('Exit Click');
      this.orderService.Exit();
      this.goToMainMenu(null);
      this.UpdateMenu();  
      let toast = this.toastController.create({message:"Se han eliminado las credenciales",duration:5000,dismissOnPageChange:false});
      toast.present();
  }
}
