import { NgModule } from '@angular/core';
import { IonicApp, IonicModule } from 'ionic-angular';
import { MyApp } from './app.component';
import { AboutPage } from '../pages/about/about';
import { ContactPage } from '../pages/contact/contact';
import { HomePage } from '../pages/home/home';
import { TabsPage } from '../pages/tabs/tabs';
import { MainMenuPage } from '../pages/main-menu/main-menu';
import { LoginPage } from '../pages/login/login';
import { Focuser } from './components/focuser';
import { OrderService } from '../providers/order-service';
import { OrdersPagePage } from '../pages/orders-page/orders-page';
import { OrderDetailPage } from '../pages/order-detail/order-detail';
import {ItemCardPage} from '../pages/item-card/item-card';
import {BarcodeScanPage} from '../pages/barcode-scan/barcode-scan';

@NgModule({
  declarations: [
    MyApp,
    AboutPage,
    ContactPage,
    HomePage,
    LoginPage,
    TabsPage,
    MainMenuPage,
    Focuser,
    OrdersPagePage,
    OrderDetailPage,
    ItemCardPage,
    BarcodeScanPage
  ],
  imports: [
    IonicModule.forRoot(MyApp)
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    AboutPage,
    ContactPage,
    HomePage,
    LoginPage,
    TabsPage,
    MainMenuPage,
    OrdersPagePage,
    OrderDetailPage,
    ItemCardPage,
    BarcodeScanPage
  ],
  providers: [OrderService]
})
export class AppModule {}
