import { Component } from '@angular/core';
import { Nav,AlertController } from 'ionic-angular';
import {MainMenuPage} from '../main-menu/main-menu';
import {ItemCardPage} from '../item-card/item-card';
import { BarcodeScanner } from 'ionic-native';
import {OrderService} from '../../providers/order-service';

/*
  Generated class for the BarcodeScan page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  selector: 'page-barcode-scan',
  templateUrl: 'barcode-scan.html',
  providers: [OrderService]
})
export class BarcodeScanPage {

  constructor(public navCtrl: Nav,public alertCtrl:AlertController,
     public orderService:OrderService) {}
  results:any;
  ionViewDidLoad() {
    console.log('Hello BarcodeScanPage Page');
  }
  showProductBarCode(product_data:any)
  {
      this.navCtrl.push(ItemCardPage,{line:product_data});    
  }
  public goToMainMenu(ev:Event)
  {
      this.navCtrl.setRoot(MainMenuPage);
  }
  public reset()
  {      
      this.results = null;
  }
  public lookup()
  {
      this.loadProduct(0,this.results.text);
  }
  public scan()
  {
    //this.loadProduct(1001,"");
   //this.showProductBarCode('8410199140517');
   BarcodeScanner.scan().then((barcodedata)=>{
     this.results = barcodedata;

   },(err) =>{
             let alert = this.alertCtrl.create({
            title: 'Error',
            subTitle: err,
            buttons: ['OK']
            });
          alert.present();    
   });
  }
  loadProduct(product_id:number,barcode:string)
  {
    this.orderService.GetProduct(this,product_id,barcode)     
    .then(data => {
        let productResult = data["Message"];
        if (productResult == "OK")
        {
          //this.navCtrl.setRoot(MainMenuPage);
          //this.orderService.SaveUser(this.User,this.Password);
          var sender:ItemCardPage = data["sender"];
          let content = data["data"];
          let result = null;
          for (let record of content)
          {
            result = record;
          }
          this.showProductBarCode(result);
        }
        else
        {
            let alert = this.alertCtrl.create({
            title: 'Error',
            subTitle: productResult,
            buttons: ['OK']
            });
          var sender:ItemCardPage = data["sender"];
          //sender.line = undefined;        
          alert.present();        
        }
     });
  }
}
