import { Component, trigger, state, style, transition, animate, keyframes } from '@angular/core';
import { NavController,AlertController,Events,ToastController,NavParams } from 'ionic-angular';
import {OrderService} from '../../providers/order-service';
import {MainMenuPage} from '../main-menu/main-menu';


@Component({
  selector: 'page-login',
  templateUrl: 'login.html',
  providers: [OrderService],
 
  animations: [
 
    //For the logo
    trigger('flyInBottomSlow', [
      state('in', style({
        transform: 'translate3d(0,0,0)'
      })),
      transition('void => *', [
        style({transform: 'translate3d(0,2000px,0'}),
        animate('2000ms ease-in-out')
      ])
    ]),
 
    //For logo and flags
    trigger('flyInBottomFast', [
      state('in', style({
        transform: 'translate3d(0,0,0)'
      })),
      transition('void => *', [
        style({transform: 'translate3d(0,2000px,0)'}),
        animate('1000ms ease-in-out')
      ])
    ]),
 
    //For the login form
    trigger('bounceInBottom', [
      state('in', style({
        transform: 'translate3d(0,0,0)'
      })),
      transition('void => *', [
        animate('2000ms 200ms ease-in', keyframes([
          style({transform: 'translate3d(0,2000px,0)', offset: 0}),
          style({transform: 'translate3d(0,-20px,0)', offset: 0.9}),
          style({transform: 'translate3d(0,0,0)', offset: 1}) 
        ]))
      ])
    ]),
 
    //For login button
    trigger('fadeIn', [
      state('in', style({
        opacity: 1
      })),
      transition('void => *', [
        style({opacity: 0}),
        animate('500ms 1000ms  ease-in')
      ])
    ])
  ]
})
export class LoginPage {
   
  logoState: any = "in";
  cloudState: any = "in";
  loginState: any = "in";
  formState: any = "in";
  public LabelUser:string="Usuario";
  public LabelPassword:string="Clave";
  public LabelLogin:String="Entrar";
  public Error:any=undefined;
  public User:string="";
  public Password:string="";
  public Orders:any;
  public Device:string;
  constructor(public navCtrl: NavController, public orderService:OrderService,public alertCtrl: AlertController,
    public events:Events,public toastController:ToastController,
    public params:NavParams) {
        this.Device = params.get("device");
    // var myInput:HTMLInputElement = ViewChild('input');
    this.navCtrl = navCtrl;
  }
  public  ChinaClick(ev:Event)
  {
    this.orderService.Language = "ZH";
    this.LabelUser = "用户";
     this.LabelPassword = "密码";
     this.LabelLogin = "登录";
  }
  public  SpainClick(ev:Event)
  {
     this.orderService.Language = "ES";
     this.LabelUser = "Usuario";
     this.LabelPassword = "Clave";
     this.LabelLogin = "Entrar";
  }
  public LoginClick(ev:Event)
  {
        console.log('Login Click');
            this.orderService.Login(this.User,this.Password,true)
    .then(data => {
        let loginResult = data["Message"];
        if (loginResult == "OK")
        {
          this.orderService.SaveUser(this.User,this.Password,this.Device);
          this.navCtrl.setRoot(MainMenuPage);
          this.events.publish("login:changed");
          let toast = this.toastController.create({message:"Credendiales actualizadas",duration:5000,dismissOnPageChange:false});
        toast.present();

        }
        else
        {
            let alert = this.alertCtrl.create({
            title: 'Error',
            subTitle: loginResult,
            buttons: ['OK']
            });
            alert.present();        
        }
          
      //this.Orders = data;      
    });


        //this.navCtrl.push(MainMenuPage);

    
  }
  public goToMainMenu(ev:Event)
  {
      this.navCtrl.setRoot(MainMenuPage);
  }
}