import { Component } from '@angular/core';
import { NavController,AlertController } from 'ionic-angular';
import {LoginPage} from '../login/login';
import {OrderService} from '../../providers/order-service';
import {OrdersPagePage} from '../orders-page/orders-page';
/*
  Generated class for the MainMenu page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  selector: 'page-main-menu',
  templateUrl: 'main-menu.html',
  providers: [OrderService]
})
export class MainMenuPage {

  pagecontent: Array<{title: string, text: string,image_src: string}> = [];  
  constructor(public navCtrl: NavController, public orderService:OrderService,
   public alertCtrl: AlertController) {
     this.pagecontent.push({title:"Donpin app",text:"La nueva aplicación de DonPin mejora la comunicación con sus clientes.",
      image_src:"assets/images/start.jpg"});
    this.loadCMS();
   }
  ionViewDidLoad() {
    console.log('Hello MainMenuPage Page');
  }
  loadCMS() {
    console.log("Begin load CMS");
    return new Promise(resolve => {      
      this.orderService.GetCMS(this)
      .then(data => {
        var sender:MainMenuPage = data["sender"];
        let content = data["data"];
        console.log("Begin fill, CMS loaded "+content.length.toString());
        sender.pagecontent.length = 0;
          for (let record of content)
          {
             this.pagecontent.push({title:record["TITULO"],text:record["TEXTO"],
              image_src:record["IMAGEN_URL"]});
          }
        console.log("End fill,CMS loaded "+content.length.toString());
        resolve(true);        
      });            
    });
  }
  public ExitClick(ev:Event)
  {
        console.log('Exit Click');
      this.orderService.Exit()
      this.navCtrl.setRoot(LoginPage);    
  }
  public OrdersClick(ev:Event)
  {
      console.log('Orders try to load Click');
      this.navCtrl.push(OrdersPagePage);
      console.log('Orders finally loaded');
      
  }
  public Login()
  {
      this.navCtrl.setRoot(LoginPage);
  }
  public goToMainMenu(ev:Event)
  {
      this.navCtrl.setRoot(MainMenuPage);
  }
}
