import { Component } from '@angular/core';
import { Nav,AlertController,NavParams } from 'ionic-angular';
import {OrderService} from '../../providers/order-service';
import {ItemCardPage} from '../item-card/item-card';
import {MainMenuPage } from "../main-menu/main-menu";

/*
  Generated class for the OrderDetail page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  selector: 'page-order-detail',
  templateUrl: 'order-detail.html',
  providers: [OrderService]
})
export class OrderDetailPage {

  public lines:Object[] = [];
  public orderNumber:number = 0;
  public order:any;
  constructor(public navCtrl: Nav,public orderService:OrderService,public alertCtrl:AlertController,
    public params:NavParams) {
          this.orderNumber=params.get("orderNumber");
          this.order=params.get("order");
          this.LoadLines();
  }

  ionViewDidLoad() {
    console.log('Hello OrderDetailPage Page');
  }
  LoadLines()
  {
    this.orderService.GetOrder(this,this.orderNumber)     
    .then(data => {
        let loginResult = data["Message"];
        if (loginResult == "OK")
        {
          //this.navCtrl.setRoot(MainMenuPage);
          //this.orderService.SaveUser(this.User,this.Password);
          var sender:OrderDetailPage = data["sender"];
          let content = data["data"];
          for (let record of content)
          {
              if (record["CANTIDAD"]<0)
                record["CLASS"] = "red-item";
              else
                record["CLASS"] = "";
          }
          sender.UpdateLines(content);
        }
        else
        {
            let alert = this.alertCtrl.create({
            title: 'Error',
            subTitle: loginResult,
            buttons: ['OK']
            });
          var sender:OrderDetailPage = data["sender"];
          sender.UpdateLines([]);        
          alert.present();        
        }
     });
     
     //console.log(this.lines);
  }
  UpdateLines(data:any)
  {
      this.lines=data;
  }
  public goToMainMenu(ev:Event)
  {
      this.navCtrl.setRoot(MainMenuPage);
  }
  public ItemClick(ev:Event,line_item:any)
  {      
      console.log('Line detail try to load Click');
      this.navCtrl.push(ItemCardPage,{line:line_item});
      console.log('Line detail finally loaded');
      
  }
}
