import { Component } from '@angular/core';
import { Nav,AlertController } from 'ionic-angular';
import {OrderService} from '../../providers/order-service';
import {OrderDetailPage} from '../order-detail/order-detail';
import {MainMenuPage} from '../main-menu/main-menu';


/*
  Generated class for the OrdersPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Component({
  selector: 'page-orders-page',
  templateUrl: 'orders-page.html',
  providers: [OrderService]
})
export class OrdersPagePage {

  constructor(public navCtrl: Nav,public orderService:OrderService,
    public alertCtrl:AlertController) {
          this.loadOrders(true);
    }
  public orders:Object[] = [];
  public start:number=0;
  private count:number = 10;
  ionViewDidLoad() {
    console.log('Hello OrdersPagePage Page');
    // Load the orders
  }
  UpdateOrders(data:any)
  {
      this.orders=data;
  }
  public OrderClick(ev:Event,order_item:any)
  {      
      let ordernum:number = order_item["CODIGO"];
      console.log('Orders detail try to load Click');
      this.navCtrl.push(OrderDetailPage,{orderNumber:ordernum,order:order_item});
      console.log('Orders detail finally loaded');
      
  }
  public goToMainMenu(ev:Event)
  {
      this.navCtrl.setRoot(MainMenuPage);
  }
  public doInfinite(infiniteScroll:any) {
     console.log('doInfinite, start is currently '+this.start);
     
     this.loadOrders(false).then(()=>{
      console.log("calling infiniteScroll complete total records "+this.orders.length.toString());
       infiniteScroll.complete();
     });     
  }


  loadOrders(showProgress:Boolean) {
    console.log("Begin load orders");
    return new Promise(resolve => {      
      this.orderService.GetOrders(this,this.count,this.start,0,showProgress)
      .then(data => {
        var sender:OrdersPagePage = data["sender"];
        let content = data["data"];
        console.log("Begin fill, orders loaded "+content.length.toString());
          for (let record of content)
          {
              let fecha:Date = new Date(record["FECHA"]);
              let dia:number=fecha.getDay();
              if (dia == 0)
                dia = 7;
              record["DIA"] = this.orderService.TranslateDay(dia);
              record["FECHA"] = new Date(record["FECHA"]); 
              if (record["CANTIDAD"]<0)
                record["CLASS"] = "red-item";
              else
                record["CLASS"] = "";
              sender.orders.push(record);
              sender.start = sender.start + 1;
          }
        console.log("End fill, orders loaded "+content.length.toString());
        resolve(true);        
      });            
    });

  }
}

